Bug 75446 - Unified Tray Icon / Functionality for Kontact
Summary: Unified Tray Icon / Functionality for Kontact
Status: CONFIRMED
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Slackware Linux
: NOR wishlist with 1138 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 75606 78186 80620 81044 92846 94125 103103 179392 280238 (view as bug list)
Depends on:
Blocks:
 
Reported: 2004-02-17 18:29 UTC by Nathan Olberding
Modified: 2019-08-15 16:30 UTC (History)
29 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Notification ballon for Kontact (188.00 KB, image/png)
2008-12-11 11:06 UTC, Alexander B. Lavrinenko
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan Olberding 2004-02-17 18:29:09 UTC
Version:           .8 (using KDE KDE 3.2.0)
Installed from:    Slackware Packages
OS:          Linux

It'd be nice if Kontact had a single tray icon for all of its functionality. Maybe more functionality like new mail notification popups, as well.
Comment 1 Nathan Olberding 2004-02-17 18:36:11 UTC
I'm sorry, I meant popup functionality like in Kopete. Also, the unified functionality I'd like would allow me to get rid of the taskbar item for Kontact. I think of Groupware as a more basic functionality of the computer for those who use it; much like an IM client or a battery monitor. In my mind, Groupware shouldn't work as if it were an application that you can open and close when you do or don't need it; if you need it, you'll almost always want it on, and performing all of its functions in the background just as any other basic piece of software.
Comment 2 Heinrich Wendel 2004-03-13 20:42:25 UTC
+1 for this idea from me, kmail has this features already
Comment 3 Heinrich Wendel 2004-05-14 23:31:06 UTC
any news on this?
Comment 4 Ingo Klöcker 2004-06-06 12:21:49 UTC
*** Bug 75606 has been marked as a duplicate of this bug. ***
Comment 5 Ingo Klöcker 2004-06-06 13:34:02 UTC
*** Bug 80620 has been marked as a duplicate of this bug. ***
Comment 6 Andreas Bayer 2004-06-06 13:42:27 UTC
*** This bug has been confirmed by popular vote. ***
Comment 7 Helge Hielscher 2004-06-06 20:46:22 UTC
see also bug 24298: Calendar organizer integration with clock
Comment 8 Andreas Bayer 2004-07-04 02:33:34 UTC
see also bug 84124 : integrate kickpim in kontact 
Comment 9 Heinrich Wendel 2004-07-12 10:49:55 UTC
anybody working on this?
Comment 10 Michael Jahn 2004-07-25 20:02:07 UTC
*** Bug 78186 has been marked as a duplicate of this bug. ***
Comment 11 Michael Jahn 2004-08-03 17:56:28 UTC
*** Bug 81044 has been marked as a duplicate of this bug. ***
Comment 12 Jakob Petsovits 2004-09-23 10:18:34 UTC
I like the proposal a lot.
At the current state, I avoid using Kontact's organizer functionality because it always opens up the KOrganizer Alarm Daemon system tray icon. (I've got nothing against notifications, but I don't want a hundred system tray icons to fill up my panel.)

The other thing is that I don't want to have Kontact start up on every login, simply because it needs too much time and resources for starting. Maybe such a merged Kontact icon could provide some kind of basic functionality, like notifications and mail retrieval, without having Kontact actually running. You could then open the full application with an "Open Kontact" entry in the icon's context menu, or something like that.
Comment 13 Nathan Olberding 2004-09-23 17:31:45 UTC
I like the idea Jakob adds of having basic Kontact functionality load automatically as a tray app. I like it a lot! I'm guessing that, with the KParts arcitecture, it wouldn't be too difficult to have it act like the whole thing is open, but in all reality, have it only load the notification Kparts, then load the other Kparts on demand, silently, as if they'd been loaded the whole time. It'd basically make things seemlessly faster.
Comment 14 Roland 2004-09-23 19:31:56 UTC
a nice idea! now i use the kmailicon to start and kontact fast in windowmode ;) but it have the problem, that witth every kdestart kontact starts as window, and i dont need it most. i have add the windows"bug" as a wish, but it means only that kontact with the kmailicon starts as windows. (Bug 90130)
Comment 15 Unknown 2004-12-01 17:33:49 UTC
regarding the popups for mail, it would be nice to see Kontact's mail summary as the tooltip of kmail/kontact, to repeat the number already that is already in the icon is not of great use, more something like the "new mail notification" popup.

I also like the idea of having two parts of kontact, one background (daemon-like) part for retrieving mails, alarming etc. and one part for the GUI
Comment 16 Stephan Binner 2004-12-04 09:47:48 UTC
*** Bug 94125 has been marked as a duplicate of this bug. ***
Comment 17 Wilbert Berendsen 2004-12-18 08:16:40 UTC
When I use the aKregator Kontact plugin, aKregator also appears in the systray, and I can show/hide Kontact by clicking on the aKregator systray icon.

But when I hide Kontact using KMail's icon, I sometimes can't get Kontact to reappear using aKregator's icon.

All this would plea for one Kontact icon, and configure aKregator and Kmail so that they use the unified Kontact icon, and one (big) tooltip to display status information for all the running components(?)
Comment 18 _ 2005-01-03 15:51:00 UTC
Also an option to hide at startup (like kopete does, KMail does not have this) would help, I really hate kontact konquering my desktop when I log in.
Comment 19 Luis Miguel García 2005-01-03 15:55:10 UTC
That, or at least Kontact remembering it's state at logoff. If you had Kontact minimized to tray (i.e. no windows opened), reopen it with no windows at all (only trayicon).
Comment 20 Erich 2005-01-09 07:55:40 UTC
I also vote for this bug. I would love to see a single Kontact tray icon, which could then spawn the Kontact summary window on click, or open a pop-menu with config options on right-click. Then, IMHO, Kontact would not only be a groupware-client replacement, but a superior solution that is always there and ready to go. 

Maybe we could even make the tray icon display information over the top of it, like the way the kmail tray icon displays the number of emails. The user might be able to configure it to display the time of the next appointment, number of new emails, number of new RSS news items, current temperature, etc. All of those items would be incredibly useful to business users of KDE (like myself :) ). 
Comment 21 Sukant Hajra 2006-02-24 18:06:29 UTC
I'm not sure a /single/ system tray icon makes sense.  I primarily use the system tray icons for message counts.  In this case it makes very good sense to have the icon for E-mails (KMail) separate from the icon for RSS feeds (aKregator).  I certainly put a higher priority on E-mail, but it's nice to have both counts.

What really bothers me, though, about the current implementation is that the behaviors of these icons are not at all unified.  Clicking on the aKregator icon toggles Kontact's visibility.  None of the other icons do this.  If I'm looking at E-mails in Kontact, and I click on the aKregator icon, I'd normally expect Kontact to switch over to aKregator (which I what I think is the right thing to do).  Instead, Kontact becomes invisible, and I have to click the icon again to get aKregator to come up.  

Toggling is nice, but if it's implemented, all the system tray icons should support it.  But such toggling should have precedence /behind/ the selection of the Kontact component.  If the component is already selected, /then/ toggle.
Comment 22 Richard Lärkäng 2006-12-27 14:25:02 UTC
*** Bug 103103 has been marked as a duplicate of this bug. ***
Comment 23 Robert 2007-02-07 18:24:01 UTC
I just want to have the ability to minimize Kontact to System Tray icon so that I can quickly access it.
Comment 24 Felix Eckhofer 2007-02-07 18:31:30 UTC
robert: this can be done by enabling the kmail-trayicon. however, it always opens the kmail-part when clicked.
Comment 25 Thomas McGuire 2007-03-28 16:48:42 UTC
*** Bug 92846 has been marked as a duplicate of this bug. ***
Comment 26 jarlgjessing 2008-07-09 13:56:06 UTC
A single notification icon was a good idea. I'm really irritated of having akregator, korganizer and kmail. It there not be a single icon counting everything, and if i.e. middleclicked it pops up the list of modules with new items. Then you click on the one you want to activate, kontact opens and displays the selected module. 
 Like the device monitor :-) 
Comment 27 Peter Bittner 2008-07-09 17:19:29 UTC
I don't know what you think of the following idea:

Bug 46262 suggests the clock's calendar applet to integrate neatly into KOrganizer. Since all our daily PIM tasks deal with date/time/mail/messages/etc. why not have a - ideally, configurable - applet that shows up when you click on the clock in the task bar?

I think that would be very nice. By default it may just be an integration into KOrganizer (showing dates with appointments in bold, for example), but at the user's option it could integrate into the whole KDE PIM suite!
Comment 28 Kishore 2008-09-02 09:05:40 UTC
With a unified kontact icon, kmail adnd akregator icons can be configured to only show up when there are new mails or articles.

The respective part icons should then only activate the part and bring the window to front if it is not currently and only minimize to tray if the previous two are not true. Something like:

if(!is<PART>Active())
{
	make<PART>Active();
	bringWindowToFront();
}
else if(!isWindowAtFront())
{
	bringWindowToFront();
}
else
{
	minimizeToSystray();
}
Comment 29 christian tacke 2008-09-09 23:38:53 UTC
Would like this Icon too, as it would keep the tray clean (RSS checking + mail checking + KOrganizer notification).

Both ideas like a popup or a extra icon appears in times of a new/unread event have their advantages.

A popup would probably get more attention than a another icon in the systray. But if you keep some RSS feeds or mails unread it would be nicer if you're continously remebered by the icons.

I would prefer the idea of letting appear the aKregator icon if there's a new message. Same for Kmail and KOrganizer.

Locking forward to this feature.
Comment 30 Roman Šmakal 2008-09-15 10:04:26 UTC
I think it will be good to use unified tray with specified notification areas. Something like if you get new e-mail, then small mail icon in corner have to get displayed on these unified tray. Or use plasmoid (in KDE4).
Comment 31 Alexander B. Lavrinenko 2008-12-10 21:50:20 UTC
I think one unified systray icon is the best. It can have two views - no new messages, there are new messages (mail/news/event/etc.). In case of new message arrives icon should show popup saying "new X rss feed(s) and Y mail(s) received." Popups can be the same as in kopete, with tunable display time, display them or not, show first NN chars of header/message, etc. I will try to create mockup later and attach here.
Comment 32 Peter Bittner 2008-12-11 10:29:37 UTC
Alex, I believe notifications should not be pop-ups, they should not enforce user interaction.

For systray icon events a speech bubble (balloon) would be the most appropriate which fades away if the user does not click on it within a certain amount of time. After that the icon should reflect the changed state.
Comment 33 Luis Silva 2008-12-11 10:46:35 UTC
I have been playing around with the kde 4.2 beta version and I think the tray icons have a bit more consistent behaviour across parts than the 3.5 or 4.1. In the meantime, we now have akonadi which pretty much handles contacts and calendar nicely but is not yet integrated to kmail or akregator. When it does as it also has the ability to handle mail and feeds (amongst other) I think the akonadi tray icon and the new and improved system notifications should be the centralized way to do this. That is, the akonadi tray icon should open the default pim application when clicked and handle the new arrival notifications without the need of any specific client.
Comment 34 Alexander B. Lavrinenko 2008-12-11 11:06:16 UTC
Created attachment 29234 [details]
Notification ballon for Kontact

Peter, i meant exactly what you said. Please find mockup attached (made with KDE3 widgets since i have to use kde3 now).
Comment 35 Mark Greenwood 2009-02-14 18:03:40 UTC
Voting for this too. All I want really is the same functionality I get with other groupware clients (eg it's the only good thing about Outlook, for example) - a taskbar icon that starts up without opening windows on my desktop, shows me a summary (eg number of unread mails/appointment reminders/feeds etc). I don't care how may of them there are, I just don't want the current situation where I have to minimize a kontact window every time I log in... at least I used to be able to automate this with DCOP but now I can't do that either.
Comment 36 Connel Hooley 2009-11-03 23:23:01 UTC
I would just like to "vote" for this feature too. It would be great if kontact had a single system tray icon that alerted me of any mail, news feeds and events. I would also love to have kontact open up in the system tray without opening any windows. I would also like better intergration into google servies but thats another matter :P
Comment 37 Marek 2010-08-01 16:44:56 UTC
Please, add this feature to Kontact... I tried a hack by myself trying to run kontact via ksystraycmd, but this gives errors and the icon does not appear:

mwojc@evo ~ $ ksystraycmd kontact
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
Calling appendChild() on a null node does nothing.
Calling appendChild() on a null node does nothing.
Calling appendChild() on a null node does nothing.
Calling appendChild() on a null node does nothing.
Calling appendChild() on a null node does nothing.
Calling appendChild() on a null node does nothing.
Calling appendChild() on a null node does nothing.
Calling appendChild() on a null node does nothing.
Calling appendChild() on a null node does nothing.
Calling appendChild() on a null node does nothing.
Calling appendChild() on a null node does nothing.
Calling appendChild() on a null node does nothing.
Calling appendChild() on a null node does nothing.
"/usr/bin/kontact(4734)" Error in thread 140317757917056 : "org.freedesktop.DBus.Error.ServiceUnknown - The name org.kde.nepomuk.services.nepomukstorage was not provided by any .service files"
"/usr/bin/kontact(4734)" Error in thread 140317757917056 : "QLocalSocket::connectToServer: Invalid name"
"/usr/bin/kontact(4734)" Error in thread 140317757917056 : "org.freedesktop.DBus.Error.ServiceUnknown - The name org.kde.nepomuk.services.nepomukstorage was not provided by any .service files"
"/usr/bin/kontact(4734)" Error in thread 140317757917056 : "QLocalSocket::connectToServer: Invalid name"
"/usr/bin/kontact(4734)" Error in thread 140317757917056 : "org.freedesktop.DBus.Error.ServiceUnknown - The name org.kde.nepomuk.services.nepomukstorage was not provided by any .service files"
"/usr/bin/kontact(4734)" Error in thread 140317757917056 : "QLocalSocket::connectToServer: Invalid name"
kontact(4734)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
kontact(4734)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:

Greetings, and i hope the request will be solved...
Comment 38 Christophe Marin 2011-02-02 01:58:31 UTC
*** Bug 179392 has been marked as a duplicate of this bug. ***
Comment 39 Rufus Dee 2011-03-03 09:20:36 UTC
Since this bug seems to also solve the problem of launching kontact at login without displaying the window (https://bugs.kde.org/show_bug.cgi?id=265976), I'm also voting in favor of having it resolved.
Comment 40 Rufus Dee 2011-03-03 09:21:35 UTC
(In reply to comment #39)
> Since this bug seems to also solve the problem of launching kontact at login
> without displaying the window (https://bugs.kde.org/show_bug.cgi?id=265976),
> I'm also voting in favor of having it resolved.

Sorry, my fault: I meant to cite https://bugs.kde.org/show_bug.cgi?id=260315
Comment 41 Christophe Marin 2011-08-28 15:18:45 UTC
*** Bug 280238 has been marked as a duplicate of this bug. ***
Comment 42 Roman Šmakal 2012-08-04 10:13:22 UTC
Any updates on unified tray situation?
Comment 43 Andrey 2015-10-20 23:15:57 UTC
I use Kontact, but I preffer to have separate icons for kmail, korganizer and akregator. Unified tray icon should be optional.